package com.securitycontrol.background.service;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.entity.background.vo.UserProVo;

import java.util.List;

/**
 * 用户 工程分配 业务接口层
 * @author 黑子
 */
public interface UserProService {
    /**
     *  用户分配 查询集合
     * @param dto
     * @return
     */
    List<UserProVo> getUserList(UserProVo dto);

    /**
     * 查询 已分配用户的工程数量
     * @param dto
     * @return
     */
    List<UserProVo> getFpProList(UserProVo dto);

    /**
     * 查询 工程信息
     * @param dto
     * @return
     */
    List<UserProVo> getProList(UserProVo dto);

    /**
     * 新增用户工程
     * @param dto
     * @return
     */
    Result<String> addUserPro(UserProVo dto);

    /**
     * 删除用已分配的工程
     * @param dto
     * @return
     */
    Result<String> delUserPro(UserProVo dto);
}
